Index: c/src/lib/libbsp/i386/force386/bsp_specs
===================================================================
--- c/src/lib/libbsp/i386/force386/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/i386/force386/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/i386/i386ex/bsp_specs
===================================================================
--- c/src/lib/libbsp/i386/i386ex/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/i386/i386ex/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/i386/pc386/bsp_specs
===================================================================
--- c/src/lib/libbsp/i386/pc386/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/i386/pc386/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/i960/cvme961/bsp_specs
===================================================================
--- c/src/lib/libbsp/i960/cvme961/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/i960/cvme961/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e _start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e _start}
 
Index: c/src/lib/libbsp/m68k/dmv152/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/dmv152/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/m68k/efi332/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/efi332/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/efi332/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/m68k/efi68k/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/efi68k/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/m68k/gen68302/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/gen68302/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/m68k/gen68360/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/gen68360/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/m68k/idp/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/idp/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/idp/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/m68k/mvme136/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/mvme136/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/m68k/mvme147/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/mvme147/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/m68k/mvme147s/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/mvme147s/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/m68k/mvme162/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/mvme162/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/m68k/ods68302/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/m68k/ods68302/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/mips/p4000/bsp_specs
===================================================================
--- c/src/lib/libbsp/mips/p4000/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/mips/p4000/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/mips64orion/p4000/bsp_specs
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/mips64orion/p4000/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
Index: c/src/lib/libbsp/powerpc/papyrus/bsp_specs
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/powerpc/papyrus/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: ecrti%O%s --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: ecrti%O%s --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -u __vectors -u download_entry -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -u __vectors -u download_entry -N -e start}
 
Index: c/src/lib/libbsp/sparc/erc32/bsp_specs
===================================================================
--- c/src/lib/libbsp/sparc/erc32/bsp_specs	(revision 1587af614b69b9639c27e0f0bca68eda01fe9146)
+++ c/src/lib/libbsp/sparc/erc32/bsp_specs	(revision 8fe6d358bfbc5658181627a307a3a8c7de2b0211)
@@ -9,5 +9,5 @@
 
 *lib:
-%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group}
+%{!qrtems: %(old_lib)} %{qrtems: --start-group -lrtemsall -lc -lgcc --end-group %{!qnolinkcmds: -T linkcmds%s}}
 
 *startfile:
@@ -15,4 +15,4 @@
 
 *link:
-%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start %{!qnolinkcmds: -T linkcmds%s}}
+%{!qrtems: %(old_link)} %{qrtems: -dc -dp -N -e start}
 
